package info.serpal.oriol.news

import android.content.Context
import android.support.test.InstrumentationRegistry
import android.support.test.runner.AndroidJUnit4

import org.junit.Test
import org.junit.runner.RunWith

import org.junit.Assert.*
import android.content.pm.PackageManager
import org.junit.Before

@RunWith(AndroidJUnit4::class)
class AppInstrumentedTest {
    private lateinit var appContext: Context

    @Before
    fun setUp() {
        appContext = InstrumentationRegistry.getTargetContext()
    }

    @Test
    fun useAppContext() {
        assertEquals("info.serpal.oriol.news", appContext.packageName)
    }

    @Test
    fun shouldCheckGrantedPermissions() {
        val permissionResult = appContext.checkPermission(
            "android.permission.INTERNET",
            android.os.Process.myPid(), android.os.Process.myUid()
        )
        assertEquals(permissionResult, PackageManager.PERMISSION_GRANTED)
    }
}
