package info.serpal.oriol.news.core

import android.content.Context
import android.support.v7.app.AlertDialog

class Dialog{
    companion object {
        fun confirmation(context: Context, message: Int, action: () -> Unit): AlertDialog {
            val builder = AlertDialog.Builder(context)
            builder.setMessage(message)
            builder.setCancelable(true)
            builder.setPositiveButton("Sí") { _, _ -> action() }
            builder.setNegativeButton("No") { dialog, _ -> dialog.cancel() }

            return builder.create()
        }
    }
}