package info.serpal.oriol.news.core

import android.graphics.Color
import android.support.design.widget.Snackbar
import android.view.View
import android.widget.TextView

class Toast {
    companion object {
        fun OK(view: View, text: Int, action: () -> Unit) {
            val snackbar = Snackbar.make(view, text, Snackbar.LENGTH_LONG)
            snackbar.addCallback(object : Snackbar.Callback() {
                override fun onDismissed(snackbar: Snackbar?, event: Int) {
                   action()
                }
            })
            val snackBarView = snackbar.view
            snackBarView.setBackgroundColor(Color.GREEN)
            val textView = snackBarView.findViewById(android.support.design.R.id.snackbar_text) as TextView
            textView.setTextColor(Color.BLACK)
            snackbar.show()
        }

        fun KO(view: View, text: Int) {
            val snackbar = Snackbar.make(view, text, Snackbar.LENGTH_LONG)
            val snackBarView = snackbar.view
            snackBarView.setBackgroundColor(Color.RED)
            val textView = snackBarView.findViewById(android.support.design.R.id.snackbar_text) as TextView
            textView.setTextColor(Color.WHITE)
            snackbar.show()
        }
    }
}