package info.serpal.oriol.news.dto

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

@Parcelize
data class SectionDTO(val title: String, val api: String): Parcelable

class SectionFactory {
    companion object {
        const val GENERAL = "general"
        const val GENERAL_NEWS_TITLE = "Noticias generales"
        const val OPINION = "opinion"
        const val OPINION_TITLE = "Opinión"
        const val SHORT_NEWS_TITLE = "Breves"
        const val SHORT = "short"

        fun general() = SectionDTO(GENERAL_NEWS_TITLE, GENERAL)
        fun opinion() = SectionDTO(OPINION_TITLE, OPINION)
        fun short() = SectionDTO(SHORT_NEWS_TITLE, SHORT)
    }
}