package info.serpal.oriol.news.dto

import org.junit.Assert.*
import org.junit.Test

class SectionFactoryTest {
    @Test
    fun `should return general section info`() {
        val actual = SectionFactory.general()

        assertEquals(SectionFactory.GENERAL, actual.api)
        assertEquals(SectionFactory.GENERAL_NEWS_TITLE, actual.title)
    }

    @Test
    fun `should return opinion section info`() {
        val actual = SectionFactory.opinion()

        assertEquals(SectionFactory.OPINION, actual.api)
        assertEquals(SectionFactory.OPINION_TITLE, actual.title)
    }

    @Test
    fun `should return short news section info`() {
        val actual = SectionFactory.short()

        assertEquals(SectionFactory.SHORT, actual.api)
        assertEquals(SectionFactory.SHORT_NEWS_TITLE, actual.title)
    }
}