package info.serpal.oriol.news.data.remote

import info.serpal.oriol.news.data.remote.base.RepositoryBase
import info.serpal.oriol.news.model.HomePageList
import io.reactivex.Observable
import io.reactivex.android.schedulers.AndroidSchedulers
import io.reactivex.schedulers.Schedulers

class HomepageRepository : RepositoryBase() {

    fun request(): Observable<HomePageList> {
        return wikiApiServe.homepageNews()
            .subscribeOn(Schedulers.io())
            .observeOn(AndroidSchedulers.mainThread())
    }
}